'use strict';
const CACHE_NAME = 'DSX_v1.5:241102_examples';
try {
	self.addEventListener('install', function(event) {
		try {
			event.waitUntil((async function() {
				try {
					const cache = await caches.open(CACHE_NAME);
					
					
					// serviceworker.js должен располагаться в одном каталоге с *.html
					// Если изменяется имя и расположение *.html, также изменить по примеру:
					// https://site.rf/public/dict.html  ->  cache.addAll(['/public/dict.html']);

					cache.addAll(['/EXAMPLES/examples.html']);
					
					
				} catch (er) {}
			})());
		} catch (er) {}
	});
	self.addEventListener('fetch', function(event) {
		try {
			event.respondWith((async function() {
				try {
					const cache = await caches.open(CACHE_NAME);
					const cachedResponse = await cache.match(event.request);
					if(cachedResponse) return cachedResponse;
					else {
						const fetchResponse = await fetch(event.request);
						cache.put(event.request, fetchResponse.clone());
						return fetchResponse;
					}
				} catch (er) {}
			})());
		} catch (er) {}
	});
} catch (er) {}
